%define major           1	 
%define libname_orig    lib%{name}
%define libname         %mklibname %{name} %{major}
%define libnamedev      %mklibname %{name} %{major} -d
%define beta            beta5

Name:           tsocks
Version:        1.8
Release:        %mkrel 0.%{beta}.17
Summary:        A transparent SOCKS proxying library
License:        GPLv2+
Group:          Networking/Other
URL:            http://tsocks.sourceforge.net/
Source0:        http://downloads.sourceforge.net/tsocks/%{name}-%{version}%{beta}.tar.bz2
# from fedora
Patch1:		tsocks_remove_static_lib.patch
Requires:       %{libname} = %{version}-%{release}

%description
tsocks' role is to allow these non SOCKS aware applications (e.g.
telnet, ssh, ftp) to use SOCKS without any modification. It does
this by intercepting the calls that applications make to establish
network connections and negotiating them through a SOCKS server as
necessary.

%package -n %{libname}
Summary:        Library for %{name}
Group:          System/Libraries

%description -n %{libname}
Library for %{name}.

%prep
%setup -q
%{__perl} -pi -e 's,(?:/usr)?/lib/lib%{name}(\.|\\\.)so,%{_libdir}/lib%{name}${1}so${1}%{major},g' %{name} %{name}.8
%autopatch -p1

%build
%configure2_5x
%make DYNLIB_FLAGS="-Wl,-soname -Wl,libtsocks.so.%{major}"

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.so

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.conf.5*
%{_mandir}/man8/%{name}.8*

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 1.8-0.beta5.17.mga6
+ Revision: 963096
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 danf <danf> 1.8-0.beta5.16.mga6
+ Revision: 894298
- Removed unnecessary flag that broke build on glibc 2.22

* Wed Oct 15 2014 umeabot <umeabot> 1.8-0.beta5.15.mga5
+ Revision: 747391
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8-0.beta5.14.mga5
+ Revision: 689962
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.8-0.beta5.13.mga4
+ Revision: 523215
- Mageia 4 Mass Rebuild

* Sat Mar 30 2013 rtp <rtp> 1.8-0.beta5.12.mga3
+ Revision: 406750
- merge patch from Fedora to not build saveme binary to fix weird build failure
  on arm.

* Mon Jan 14 2013 umeabot <umeabot> 1.8-0.beta5.11.mga3
+ Revision: 384831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 blino <blino> 1.8-0.beta5.10.mga3
+ Revision: 309693
- fix tsocks wrapper by using versionned so file (and fix man page as well)

* Sat Oct 13 2012 fwang <fwang> 1.8-0.beta5.9.mga3
+ Revision: 305187
- specify correct soname

* Sat Oct 13 2012 fwang <fwang> 1.8-0.beta5.8.mga3
+ Revision: 305179
- clean up spec

  + ennael <ennael>
    - bump release

* Sat Mar 19 2011 ennael <ennael> 1.8-0.beta5.7.mga1
+ Revision: 74507
- clean spec file

  + boklm <boklm>
    - imported package tsocks


* Sun Sep 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.8-0.beta5.7mdv2010.0
+ Revision: 445563
- rebuild

* Fri Mar 06 2009 Michael Scherer <misc@mandriva.org> 1.8-0.beta5.6mdv2009.1
+ Revision: 349607
- fix buildRequires
- rebuild
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill stupid perl -pi -e "s/\-lc//g" Makefile
    - BR glibc-devel
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + David Walluck <walluck@mandriva.org>
    - fix build
    - patch to disable -lc
    - fix build
    - sed the installed tsocks
    - remove -lc from Makefile
    - spec cleanup


* Sat Mar 11 2006 Pascal Terjan <pterjan@mandriva.com> 1.8-0.beta5.2mdk
- Fix running with lib64
- mkrel

* Mon Apr 11 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8-0.beta5.1mdk
- initial Mandrakelinux release

